Subject: [PATCH] Quote the missing GIT_DIR.

From: Santi Béjar <[email-masked]>
Date: Wed, 05 Oct 2005 18:58:10 +0200

Signed-off-by: Santi Béjar <[email-masked]>

---

 git-commit.sh |    2 +-
 git-fetch.sh  |    6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

applies-to: f1aeb5e1caeb925ef1f7dc9993096556d10b49a9
9dbea220044374b801516e7d6b4ceb390c2cbd94
diff --git a/git-commit.sh b/git-commit.sh
--- a/git-commit.sh
+++ b/git-commit.sh
@@ -198,7 +198,7 @@ else
 	PARENTS=""
 fi
 git-status >>"$GIT_DIR"/.editmsg
-if [ "$?" != "0" -a ! -f $GIT_DIR/MERGE_HEAD ]
+if [ "$?" != "0" -a ! -f "$GIT_DIR/MERGE_HEAD" ]
 then
 	rm -f "$GIT_DIR"/.editmsg
 	git-status
diff --git a/git-fetch.sh b/git-fetch.sh
--- a/git-fetch.sh
+++ b/git-fetch.sh
@@ -49,7 +49,7 @@ rsync_slurped_objects=
 
 if test "" = "$append"
 then
-	: >$GIT_DIR/FETCH_HEAD
+	: >"$GIT_DIR/FETCH_HEAD"
 fi
 
 append_fetch_head () {
@@ -86,11 +86,11 @@ append_fetch_head () {
     if git-cat-file commit "$head_" >/dev/null 2>&1
     then
 	headc_=$(git-rev-parse --verify "$head_^0") || exit
-	echo "$headc_	$not_for_merge_	$note_" >>$GIT_DIR/FETCH_HEAD
+	echo "$headc_	$not_for_merge_	$note_" >>"$GIT_DIR/FETCH_HEAD"
 	echo >&2 "* committish: $head_"
 	echo >&2 "  $note_"
     else
-	echo "$head_	not-for-merge	$note_" >>$GIT_DIR/FETCH_HEAD
+	echo "$head_	not-for-merge	$note_" >>"$GIT_DIR/FETCH_HEAD"
 	echo >&2 "* non-commit: $head_"
 	echo >&2 "  $note_"
     fi
---
0.99.8.GIT